﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;

namespace Extranet
{
    public partial class Test : System.Web.UI.Page
    {
        private SqlCommand Commande = new SqlCommand();
        private SqlDataAdapter myAdapter = new SqlDataAdapter();
        public DataSet Data = new DataSet();

        protected void Page_Load(object sender, EventArgs e)
        {
            Commande.Connection = new SqlConnection("Data Source=srvsql.dufour.be;Initial Catalog=Test;User ID=sa;Password=sa");
            Commande.CommandTimeout = 120;

            myAdapter.SelectCommand = Commande;
            Commande.CommandText = "SELECT A1,A2 FROM TableA";
            myAdapter.Fill(Data, "TableA");

            Commande.CommandText = "SELECT B1,B2 FROM tableB";
            myAdapter.Fill(Data, "TableB");
            
            var query = (from tableb in Data.Tables["TableB"].AsEnumerable() join tablea in Data.Tables["TableA"].AsEnumerable() on tableb.Field<String>("B1") equals tablea.Field<String>("A1") select new { A1 = tablea.Field<String>("A1"), A2 = tablea.Field<String>("A2") }).Distinct();

            if (WebHierarchicalDataSource1.DataViews.FindByID("TableA") == null)
            {
                Infragistics.Web.UI.DataSourceControls.DataView v1 = new Infragistics.Web.UI.DataSourceControls.DataView();
                v1.ID = "TableA";
                WebHierarchicalDataSource1.DataViews.Add(v1);
            }
            if (WebHierarchicalDataSource1.DataViews.FindByID("TableB") == null)
            {
                Infragistics.Web.UI.DataSourceControls.DataView v2 = new Infragistics.Web.UI.DataSourceControls.DataView();
                v2.ID = "TableB";
                WebHierarchicalDataSource1.DataViews.Add(v2);
            }
            WebHierarchicalDataSource1.DataViews.FindByID("TableA").DataSource = query;
            WebHierarchicalDataSource1.DataViews.FindByID("TableB").DataSource = Data.Tables["TableB"];


            Infragistics.Web.UI.DataSourceControls.DataRelation dr = new Infragistics.Web.UI.DataSourceControls.DataRelation();
                      
            dr.ParentDataViewID = "TableA";
            dr.ParentColumns = new string[] {"A1"};
            dr.ChildDataViewID = "TableB";
            dr.ChildColumns = new string[] {"B1"};
            WebHierarchicalDataSource1.DataRelations.Add(dr);

            WebDataGrid1.DataSource = WebHierarchicalDataSource1;
            WebDataGrid1.InitialDataBindDepth = 2;
            WebDataGrid1.DataKeyFields = "A1";
            WebDataGrid1.Key = "A1";
            WebDataGrid1.DataBind();
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            this.eExporter.DownloadName = "TestDeviceFilter.xls";
            this.eExporter.DataExportMode = Infragistics.Web.UI.GridControls.DataExportMode.DataInGridOnly;
            //this.eExporter.WorkbookFormat = Infragistics.Documents.Excel.WorkbookFormat. )Enum.Parse(typeof(Infragistics.Documents.Excel.WorkbookFormat), this.rblExcelFormat.SelectedValue);
            //bool singleGridPerSheet = (this.rblSheets.SelectedValue == "separate") ? true : false;
            this.eExporter.Export(true, this.WebDataGrid1);
  
        }

  
    }
}
